Bug 866962 - 'Environment' is still used in image mgmt API in place of pool_family
'Environment' is still used in image mgmt API in place of pool_family
Status: CLOSED WONTFIX
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: aeolus-conductor (Show other bugs)
1.1.0
x86_64 Linux
medium Severity low
: rc
: ---
Assigned To: Richard Su
Rehana
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-16 08:06 EDT by pushpesh sharma
Modified: 2014-08-04 18:31 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-17 19:59:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description pushpesh sharma 2012-10-16 08:06:42 EDT
[root@dhcp201-113 ~]# curl -X POST --user admin:password --header "Accept: application/xml" --data "<image><targets>mock</targets><tdl>'/var/www/html/RHEL6.2_Template.xml'</tdl></image>" https://localhost/conductor/api/images -k
<error>
<code>InsufficientParametersSupplied</code>
<message>Please specify an Cloud</message>
</error>

[root@dhcp201-113 ~]# curl -X POST --user admin:password --header "Accept: application/xml" --data "<image><targets>ec2</targets><environment>default</environment><tdl>'/var/www/html/RHEL6.2_Template.xml'</tdl></image>" https://localhost/conductor/api/images -k
<error>
<code>ParameterDataIncorrect</code>
<message>Invalid Component Outline: XML is not valid:, Internal error: no state, Name is not set.</message>
</error>



Additional info:

As per the disscussion with mtaylor the SRC for this is:-

Aeolus::Conductor::API::InsufficientParametersSupplied.new(400, t("api.error_messages.environment_required")) if req[:params][:environment].nil?


[root@dhcp201-113 ~]# rpm -qa|grep aeolus
aeolus-all-0.13.18-1.el6cf.noarch
aeolus-conductor-0.13.18-1.el6cf.noarch
rubygem-aeolus-cli-0.7.4-1.el6cf.noarch
aeolus-configure-2.8.9-1.el6cf.noarch
rubygem-aeolus-image-0.3.0-12.el6.noarch
aeolus-conductor-doc-0.13.18-1.el6cf.noarch
aeolus-conductor-daemons-0.13.18-1.el6cf.noarch
Comment 2 Martyn Taylor 2012-10-18 04:52:44 EDT
A concious decision was made to not change XML elements in the API for product.  This is why we have a slight difference in names between the UI and API.

Note You need to log in before you can comment on or make changes to this bug.